[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCalendar.Date

Date value for the control as a String type.

## Declaration

Source position: dbctrls.pp line 1297

`published property TDBCalendar.Date : string write SetDate stored False;`

## Description

Date is a String property that represents the date/time value for the control as a string data type. Write access is re-implemented in TDBCalendar to call the DataChange method after setting the DateTime value in the ancestor.

Use DateTime to access the value for the control as a TDateTime value.

## Errors

Raises an EInvalidDate exception in the ancestor class when an invalid date value is assigned to Date.

## See also

Calendar.TCustomCalendar.Date |  | String representation for the date value on the calendar control.
Calendar.TCustomCalendar.DateTime |  | Native data type used for a date value on the calendar control.